JTS Topology Suite version 1.13

## com.vividsolutions.jts.precision
Class SimpleMinimumClearance

    java.lang.Object
      com.vividsolutions.jts.precision.SimpleMinimumClearance

    public class SimpleMinimumClearance

extends java.lang.Object

Computes the minimum clearance of a geometry or set of geometries.

The Minimum Clearance is a measure of what magnitude of perturbation of its vertices can be tolerated by a geometry before it becomes topologically invalid.

This class uses an inefficient O(N^2) scan. It is primarily for testing purposes.

Author:
  Martin Davis
See Also:
  `MinimumClearance`

Constructor Summary
`SimpleMinimumClearance(Geometry geom)`

Method Summary
`double` `getDistance()`
`static double` `getDistance(Geometry g)`
`LineString` `getLine()`
`static Geometry` `getLine(Geometry g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMinimumClearance

    public SimpleMinimumClearance(Geometry geom)

Method Detail

### getDistance

    public static double getDistance(Geometry g)

### getLine

    public static Geometry getLine(Geometry g)

### getDistance

    public double getDistance()

### getLine

    public LineString getLine()

JTS Topology Suite version 1.13